Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Controllers/AlgorithmClassController.cs
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Controllers/AlgorithmClassController.cs	(revision 5756)
+++ 	(revision )
@@ -1,267 +1,0 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Web;
-using System.Web.Mvc;
-using HLWebOKBAdminPlugin.ViewModels;
-using System.Web.Security;
-using System.ServiceModel.Security;
-//using HLWebPluginHost.OKBService;
-using System.Diagnostics;
-using HLWebOKBAdminPlugin.OKBAdministrationService;
-using HLWebOKBAdminPlugin.OKBAuthenticationService;
-
-namespace HLWebOKBAdminPlugin.Controllers
-{
-    public class AlgorithmClassController : Controller
-    {
-        //BASICS: controllers respond to input from the browser, decide what to do and return
-        //        response to the user (Views)
-
-        // for edit form 2 controller actions are needed
-        // first controller action if form is first loaded to display algorithm class data
-        // second controller handles the post action
-
-        //returns a certificated service client for current user .... call this function in every method
-                         
-        //private OKBService.OKBServiceClient CertificateValidator() {
-        //    OKBService.OKBServiceClient sc = new OKBService.OKBServiceClient();
-        //    sc.ClientCredentials.UserName.UserName = Membership.GetUser().UserName;
-        //    //sc.ClientCredentials.UserName.Password = HttpContext.Session["pwd"].ToString();
-        //    sc.ClientCredentials.UserName.Password = "Gerhard";
-        //    sc.ClientCredentials.ServiceCertificate.Authentication.CertificateValidationMode = X509CertificateValidationMode.None;
-
-        //    return sc;
-        //}//CertificateValidator   
-
-        private AdministrationServiceClient CertificateValidator() {
-            AdministrationServiceClient asc = new AdministrationServiceClient();
-
-            asc.ClientCredentials.UserName.UserName = Membership.GetUser().UserName;
-            //asc.ClientCredentials.UserName.Password = HttpContext.Session["pwd"].ToString();
-            asc.ClientCredentials.UserName.Password = "Gerhard";
-            asc.ClientCredentials.ServiceCertificate.Authentication.CertificateValidationMode = X509CertificateValidationMode.None;
-
-            return asc;
-        }//CertificateValidator 
-
-        //
-        // GET: /AlgorithmClass/
-
-        public ActionResult Index() {
-            //the index action is the homepage of the site (AlgorithmClass)  
-            //what happens: generate list of AlgorithmClass and commit the list to the index view
-
-            
-
-            //get certificated service client
-            AdministrationServiceClient asc = CertificateValidator();                        
-
-            var tstModel = new AlgorithmClassViewModel {
-                AlgorithmClass = new AlgorithmClass()
-            };
-
-            Debug.WriteLine("tstModel created");
-
-            //get list of Algorithm Classes
-            var algorithmClasses = new List<AlgorithmClass>();
-            AlgorithmClass[] ac = asc.GetAlgorithmClasses();
-            foreach (AlgorithmClass a in ac) {
-                algorithmClasses.Add(a);
-            }//foreach            
-
-            //return Index View that contains a list of all AlgorithmClasses (Views/Index.aspx)
-            return View(algorithmClasses);
-        }//Index
-
-        //
-        // GET: /AlgorithmClass/Details/5
-
-        public ActionResult Details(int id) {
-            //what happens: get AlgorithmClass object , create a viewmodel which contains the data
-            //              for the view and commit the viewmodel to the view
-            //              => correlates to a HTTP GET request
-
-            //get certificated service client
-            AdministrationServiceClient asc = CertificateValidator();
-
-            //the viewmodel contains data for the view
-            var viewModel = new AlgorithmClassViewModel {
-                AlgorithmClass = asc.GetAlgorithmClass(id)
-            };
-
-            ViewData["AlgorithmClass"] = viewModel;
-
-            return View();
-        }//Details
-
-        //
-        // GET: /AlgorithmClass/Create
-
-        public ActionResult Create() {
-            //what happens: create empty AlgorithmClass object , create a viewmodel which contains the data
-            //              for the view and commit the viewmodel to the view
-            //              this Create action is needed for first time call of the page to display content
-
-            //get certificated service client
-            AdministrationServiceClient asc = CertificateValidator();
-
-            //the viewmodel with empty AlgorithmClass object
-            var viewModel = new AlgorithmClassViewModel {
-                AlgorithmClass = new AlgorithmClass()
-            };
-
-            ViewData["AlgorithmClass"] = viewModel;
-
-            return View();
-        }//Create
-
-        //
-        // POST: /AlgorithmClass/Create
-
-        [HttpPost]
-        public ActionResult Create(AlgorithmClass algorithmClass) {
-            //what happens: the 2nd Create controller handles the POST action from the form
-            //              an AlgorithmClass object is passed from the Create view by submit
-
-            try {
-                //get certificated service client
-                AdministrationServiceClient asc = CertificateValidator();
-
-                //create new AlgorithmClass object
-                AlgorithmClass ac = new AlgorithmClass();
-                ac.Id = algorithmClass.Id;
-                ac.Name = algorithmClass.Name;
-                ac.Description = algorithmClass.Description;
-
-                //add new AlgorithmClass
-                asc.AddAlgorithmClass(ac);
-
-                //redirect to the home page
-                return RedirectToAction("Index");
-            }
-            catch {
-                //invalid - redisplay with errors
-                var viewModel = new AlgorithmClassViewModel {
-                    AlgorithmClass = algorithmClass
-                };
-
-                ViewData["AlgorithmClass"] = viewModel;
-
-                return View();
-            }
-        }//Create - post
-
-        //
-        // GET: /AlgorithmClass/Edit/5
-
-        public ActionResult Edit(int id) {
-            //what happens: get AlgorithmClass object , create a viewmodel which contains the data
-            //              for the view and commit the viewmodel to the view
-            //              => correlates to a HTTP GET request
-            
-            //get certificated service client
-            AdministrationServiceClient asc = CertificateValidator();
-
-            //the viewmodel contains data for the view
-            var viewModel = new AlgorithmClassViewModel {
-                AlgorithmClass = asc.GetAlgorithmClass(id)
-            };
-
-            ViewData["AlgorithmClass"] = viewModel;
-
-            return View();
-        }//Edit
-
-        //
-        // POST: /AlgorithmClass/Edit/5
-
-        [HttpPost]
-        public ActionResult Edit(int id, FormCollection collection) {
-            //what happens: the 2nd Edit controller handles the POST action from the form
-            //              an AlgorithmClass object is passed from the Edit view by submit
-
-            //get certificated service client
-            AdministrationServiceClient asc = CertificateValidator();
-
-            //get AlgorithmClass object from DB
-            var algorithmClass = asc.GetAlgorithmClass(id);
-
-            try {
-                // update AlgorithmClass
-                UpdateModel(algorithmClass, "AlgorithmClass");
-
-                AlgorithmClass ac = new AlgorithmClass();
-                ac.Id = algorithmClass.Id;
-                ac.Name = algorithmClass.Name;
-                ac.Description = algorithmClass.Description;
-
-                asc.UpdateAlgorithmClass(ac);
-
-                return RedirectToAction("Index");
-            }
-            catch {
-                var viewModel = new AlgorithmClassViewModel {
-                    AlgorithmClass = algorithmClass
-                };
-
-                ViewData["AlgorithmClass"] = viewModel;
-
-                return View();
-            }
-        }//Edit
-
-        //
-        // GET: /AlgorithmClass/Delete/5
-
-        public ActionResult Delete(int id) {
-            //what happens: get AlgorithmClass object , create a viewmodel which contains the data
-            //              for the view and commit the viewmodel to the view
-            //              => correlates to a HTTP GET request
-
-            //get certificated service client
-            AdministrationServiceClient asc = CertificateValidator();
-
-            //the viewmodel contains data for the view
-            var viewModel = new AlgorithmClassViewModel {
-                AlgorithmClass = asc.GetAlgorithmClass(id)
-            };
-
-            ViewData["AlgorithmClass"] = viewModel;
-
-            return View();
-        }//Delete
-
-        //
-        // POST: /AlgorithmClass/Delete/5
-
-        [HttpPost]
-        public ActionResult Delete(int id, FormCollection collection) {
-            //what happens: the 2nd Delete controller handles the POST action from the form
-            //              an AlgorithmClass object is passed from the Delete view by submit
-   
-            //get certificated service client
-            AdministrationServiceClient asc = CertificateValidator();
-
-            //load object from db
-            var algorithmClass = asc.GetAlgorithmClass(id);
-
-            try {
-                //delete object
-                asc.DeleteAlgorithmClass(id);
-
-                return RedirectToAction("Index");
-            }
-            catch {
-                var viewModel = new AlgorithmClassViewModel {
-                    AlgorithmClass = algorithmClass
-                };
-
-                ViewData["AlgorithmClass"] = viewModel;
-
-                return View();
-            }
-        }//Delete
-
-    }
-}
Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Controllers/HomeController.cs
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Controllers/HomeController.cs	(revision 5910)
+++ branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Controllers/HomeController.cs	(revision 5910)
@@ -0,0 +1,20 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Web;
+using System.Web.Mvc;
+
+namespace HLWebOKBQueryPlugin.Controllers {
+    [HandleError]
+    public class HomeController : Controller {
+        public ActionResult Index() {
+            ViewData["Message"] = "Welcome to ASP.NET MVC!";
+
+            return View();
+        }
+
+        public ActionResult About() {
+            return View();
+        }
+    }
+}
Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Controllers/QueryController.cs
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Controllers/QueryController.cs	(revision 5910)
+++ branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Controllers/QueryController.cs	(revision 5910)
@@ -0,0 +1,42 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Web;
+using System.Web.Mvc;
+//using HLWebOKBAdminPlugin.ViewModels;
+using System.Web.Security;
+using System.ServiceModel.Security;
+//using HLWebPluginHost.OKBService;
+using System.Diagnostics;
+using HLWebPluginHost.Models;
+using HLWebOKBQueryPlugin.OKBQueryService;
+
+namespace HLWebOKBQueryPlugin.Controllers
+{
+    public class QueryController : Controller
+    {
+        public ActionResult Index()
+        {
+            return View();
+        }
+
+        public ActionResult Menu()
+        {
+            return View();
+        }
+
+        public ActionResult Filter()
+        {
+            QueryModel qm = new QueryModel();
+            Session["SelectedSubMenu"] = "Filter";
+            return View(qm);
+        }
+
+        public ActionResult Results()
+        {
+            QueryModel qm = new QueryModel();
+            Session["SelectedSubMenu"] = "Results";
+            return View(qm);
+        }
+    }
+}
Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Controllers/ServiceTestController.cs
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Controllers/ServiceTestController.cs	(revision 5756)
+++ 	(revision )
@@ -1,105 +1,0 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Web;
-using System.Web.Mvc;
-
-namespace HLWebServiceTestPlugin.Controllers
-{
-    public class ServiceTestController : Controller
-    {
-        //
-        // GET: /ServiceTest/
-
-        public ActionResult Index()
-        {
-            return View();
-        }
-
-        //
-        // GET: /ServiceTest/Details/5
-
-        public ActionResult Details(int id)
-        {
-            return View();
-        }
-
-        //
-        // GET: /ServiceTest/Create
-
-        public ActionResult Create()
-        {
-            return View();
-        } 
-
-        //
-        // POST: /ServiceTest/Create
-
-        [HttpPost]
-        public ActionResult Create(FormCollection collection)
-        {
-            try
-            {
-                // TODO: Add insert logic here
-
-                return RedirectToAction("Index");
-            }
-            catch
-            {
-                return View();
-            }
-        }
-        
-        //
-        // GET: /ServiceTest/Edit/5
- 
-        public ActionResult Edit(int id)
-        {
-            return View();
-        }
-
-        //
-        // POST: /ServiceTest/Edit/5
-
-        [HttpPost]
-        public ActionResult Edit(int id, FormCollection collection)
-        {
-            try
-            {
-                // TODO: Add update logic here
- 
-                return RedirectToAction("Index");
-            }
-            catch
-            {
-                return View();
-            }
-        }
-
-        //
-        // GET: /ServiceTest/Delete/5
- 
-        public ActionResult Delete(int id)
-        {
-            return View();
-        }
-
-        //
-        // POST: /ServiceTest/Delete/5
-
-        [HttpPost]
-        public ActionResult Delete(int id, FormCollection collection)
-        {
-            try
-            {
-                // TODO: Add delete logic here
- 
-                return RedirectToAction("Index");
-            }
-            catch
-            {
-                return View();
-            }
-        }
-    }
-}
Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Global.asax.cs
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Global.asax.cs	(revision 5756)
+++ branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Global.asax.cs	(revision 5910)
@@ -17,5 +17,5 @@
                 "Default", // Route name
                 "{controller}/{action}/{id}", // URL with parameters
-                new { controller = "Home", action = "Index", id = UrlParameter.Optional } // Parameter defaults
+                new { controller = "Query", action = "Index", id = UrlParameter.Optional } // Parameter defaults
             );
 
Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/HLWebOKBQueryPlugin.csproj
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/HLWebOKBQueryPlugin.csproj	(revision 5756)
+++ branches/WebApplication/MVC2/HLWebOKBQueryPlugin/HLWebOKBQueryPlugin.csproj	(revision 5910)
@@ -11,6 +11,6 @@
     <OutputType>Library</OutputType>
     <AppDesignerFolder>Properties</AppDesignerFolder>
-    <RootNamespace>HLWebOKBAdminPlugin</RootNamespace>
-    <AssemblyName>HLWebOKBAdminPlugin</AssemblyName>
+    <RootNamespace>HLWebOKBQueryPlugin</RootNamespace>
+    <AssemblyName>HLWebOKBQueryPlugin</AssemblyName>
     <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
     <MvcBuildViews>false</MvcBuildViews>
@@ -88,5 +88,6 @@
   </ItemGroup>
   <ItemGroup>
-    <Compile Include="Controllers\ServiceTestController.cs" />
+    <Compile Include="Controllers\HomeController.cs" />
+    <Compile Include="Controllers\QueryController.cs" />
     <Compile Include="Global.asax.cs">
       <DependentUpon>Global.asax</DependentUpon>
@@ -94,4 +95,5 @@
     <Compile Include="Helpers\HtmlHelpers.cs" />
     <Compile Include="Models\AccountModels.cs" />
+    <Compile Include="Models\QueryModel.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
     <Compile Include="Properties\Settings.Designer.cs">
@@ -99,9 +101,4 @@
       <DesignTimeSharedInput>True</DesignTimeSharedInput>
       <DependentUpon>Settings.settings</DependentUpon>
-    </Compile>
-    <Compile Include="Service References\OKBAuthenticationService\Reference.cs">
-      <AutoGen>True</AutoGen>
-      <DesignTime>True</DesignTime>
-      <DependentUpon>Reference.svcmap</DependentUpon>
     </Compile>
     <Compile Include="Service References\OKBQueryService\Reference.cs">
@@ -133,18 +130,8 @@
       <LastGenOutput>Settings.Designer.cs</LastGenOutput>
     </None>
-    <None Include="Service References\OKBAuthenticationService\AuthenticationService.disco" />
-    <None Include="Service References\OKBAuthenticationService\configuration91.svcinfo" />
-    <None Include="Service References\OKBAuthenticationService\configuration.svcinfo" />
-    <None Include="Service References\OKBAuthenticationService\HLWebOKBAdminPlugin.OKBAuthenticationService.User.datasource">
+    <None Include="Service References\OKBQueryService\HLWebOKBQueryPlugin.OKBQueryService.Filter.datasource">
       <DependentUpon>Reference.svcmap</DependentUpon>
     </None>
-    <None Include="Service References\OKBAuthenticationService\Reference.svcmap">
-      <Generator>WCF Proxy Generator</Generator>
-      <LastGenOutput>Reference.cs</LastGenOutput>
-    </None>
-    <None Include="Service References\OKBQueryService\HLWebOKBAdminPlugin.OKBQueryService.Filter.datasource">
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </None>
-    <None Include="Service References\OKBQueryService\HLWebOKBAdminPlugin.OKBQueryService.Run.datasource">
+    <None Include="Service References\OKBQueryService\HLWebOKBQueryPlugin.OKBQueryService.Run.datasource">
       <DependentUpon>Reference.svcmap</DependentUpon>
     </None>
@@ -157,4 +144,10 @@
     </None>
     <Content Include="Views\AlgorithmClass\Index.aspx" />
+    <Content Include="Views\Home\About.aspx" />
+    <Content Include="Views\Home\Index.aspx" />
+    <Content Include="Views\Query\Filter.aspx" />
+    <Content Include="Views\Query\Index.aspx" />
+    <EmbeddedResource Include="Views\Query\Menu.ascx" />
+    <Content Include="Views\Query\Results.aspx" />
     <Content Include="Views\ServiceTest\Index.aspx" />
     <Content Include="Web.config" />
@@ -182,14 +175,4 @@
     <Content Include="Views\Shared\Site.Master" />
     <Content Include="Views\Web.config" />
-    <None Include="Service References\OKBAuthenticationService\AuthenticationService.wsdl" />
-    <None Include="Service References\OKBAuthenticationService\AuthenticationService.xsd">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Service References\OKBAuthenticationService\AuthenticationService1.xsd">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Service References\OKBAuthenticationService\AuthenticationService2.xsd">
-      <SubType>Designer</SubType>
-    </None>
     <None Include="Service References\OKBQueryService\QueryService.wsdl" />
     <None Include="Service References\OKBQueryService\QueryService.xsd">
@@ -215,5 +198,4 @@
   </ItemGroup>
   <ItemGroup>
-    <WCFMetadataStorage Include="Service References\OKBAuthenticationService\" />
     <WCFMetadataStorage Include="Service References\OKBQueryService\" />
   </ItemGroup>
@@ -253,3 +235,6 @@
     </VisualStudio>
   </ProjectExtensions>
+  <PropertyGroup>
+    <PostBuildEvent>copy HLWebOKBQueryPlugin.dll ..\..\HeuristicLabWeb.PluginHost\HLWebPluginHost\bin</PostBuildEvent>
+  </PropertyGroup>
 </Project>
Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Models/AlgorithmClassModel.cs
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Models/AlgorithmClassModel.cs	(revision 5756)
+++ 	(revision )
@@ -1,56 +1,0 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Web;
-using System.ServiceModel.Security;
-using System.Web.Security;
-using HLWebOKBAdminPlugin.OKBAdministrationService;
-
-namespace HLWebPluginHost.Models {
-    public class AlgorithmClassModel {
-
-        private AdministrationServiceClient CertificateValidator() {
-            AdministrationServiceClient asc = new AdministrationServiceClient();
-
-            asc.ClientCredentials.UserName.UserName = Membership.GetUser().UserName;
-            asc.ClientCredentials.UserName.Password = HttpContext.Current.Session["pwd"].ToString();
-            asc.ClientCredentials.ServiceCertificate.Authentication.CertificateValidationMode = X509CertificateValidationMode.None;
-
-            return asc;
-        }//CertificateValidator
-
-        public int NumOfClasses { get; set; }
-        public List<AlgorithmClass> AlgorithmClassList { get; set; }
-
-        public List<AlgorithmClass> AlgorithmClassGetAll() {
-            //returns list of algorithm classes            
-            AdministrationServiceClient asc = CertificateValidator();
-
-            var agcList = new List<AlgorithmClass>();
-
-            AlgorithmClass[] ac = asc.GetAlgorithmClasses();
-            foreach (AlgorithmClass a in ac) {
-                agcList.Add(a);
-
-            }//foreach
-
-            return agcList;
-        }//AlgorithmClassGetAll
-
-        //Add AlgorithmClass table entry
-        public bool AddAlgorithmClass(string name, string description) {
-            long retValue;
-            //get service client
-            AdministrationServiceClient asc = CertificateValidator();
-
-            AlgorithmClass ac = new AlgorithmClass();
-            //test
-            //ac.Id = 8;
-            ac.Name = name;
-            ac.Description = description;
-            retValue = asc.AddAlgorithmClass(ac);
-            
-            return true;
-        }//AddAlgorithmClass
-    }
-}
Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Models/QueryModel.cs
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Models/QueryModel.cs	(revision 5910)
+++ branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Models/QueryModel.cs	(revision 5910)
@@ -0,0 +1,15 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Web;
+using System.ServiceModel.Security;
+using System.Web.Security;
+using HLWebOKBQueryPlugin.OKBQueryService;
+
+namespace HLWebPluginHost.Models {
+    public class QueryModel {
+
+       public String SelectedSubMenu { get; set; }
+
+    }
+}
Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Properties/AssemblyInfo.cs
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Properties/AssemblyInfo.cs	(revision 5756)
+++ branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Properties/AssemblyInfo.cs	(revision 5910)
@@ -41,8 +41,8 @@
 [assembly: WebResource("HLWebOKBQueryPlugin.Resources.Update.bmp", "image/bmp")]
 [assembly: HLWebPluginViewLocations(
-    new string[] { "~/Plugins/HLWebOKBQueryPlugin.dll/HLWebOKBQueryPlugin.Views.{1}.{0}.aspx" },
+    new string[] { "~/Plugins/HLWebOKBQueryPlugin.dll/HLWebOKBQueryPlugin.Views.{1}.{0}.aspx", "~/Plugins/HLWebOKBQueryPlugin.dll/HLWebOKBQueryPlugin.Views.{1}.{0}.ascx" },
     true,
     action = "index",
-    controller = "AlgorithmClass",
+    controller = "Query",
     name = "OKB Query"
     )]
Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Properties/Settings.Designer.cs
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Properties/Settings.Designer.cs	(revision 5756)
+++ branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Properties/Settings.Designer.cs	(revision 5910)
@@ -9,5 +9,5 @@
 //------------------------------------------------------------------------------
 
-namespace HLWebOKBAdminPlugin.Properties {
+namespace HLWebOKBQueryPlugin.Properties {
     
     
Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Service References/OKBQueryService/HLWebOKBAdminPlugin.OKBQueryService.Filter.datasource
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Service References/OKBQueryService/HLWebOKBAdminPlugin.OKBQueryService.Filter.datasource	(revision 5756)
+++ 	(revision )
@@ -1,10 +1,0 @@
-﻿<?xml version="1.0" encoding="utf-8"?>
-<!--
-    This file is automatically generated by Visual Studio .Net. It is 
-    used to store generic object data source configuration information.  
-    Renaming the file extension or editing the content of this file may   
-    cause the file to be unrecognizable by the program.
--->
-<GenericObjectDataSource DisplayName="Filter" Version="1.0" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
-   <TypeInfo>HLWebOKBAdminPlugin.OKBQueryService.Filter, Service References.OKBQueryService.Reference.cs, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null</TypeInfo>
-</GenericObjectDataSource>
Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Service References/OKBQueryService/HLWebOKBAdminPlugin.OKBQueryService.Run.datasource
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Service References/OKBQueryService/HLWebOKBAdminPlugin.OKBQueryService.Run.datasource	(revision 5756)
+++ 	(revision )
@@ -1,10 +1,0 @@
-﻿<?xml version="1.0" encoding="utf-8"?>
-<!--
-    This file is automatically generated by Visual Studio .Net. It is 
-    used to store generic object data source configuration information.  
-    Renaming the file extension or editing the content of this file may   
-    cause the file to be unrecognizable by the program.
--->
-<GenericObjectDataSource DisplayName="Run" Version="1.0" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
-   <TypeInfo>HLWebOKBAdminPlugin.OKBQueryService.Run, Service References.OKBQueryService.Reference.cs, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null</TypeInfo>
-</GenericObjectDataSource>
Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Service References/OKBQueryService/HLWebOKBQueryPlugin.OKBQueryService.Filter.datasource
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Service References/OKBQueryService/HLWebOKBQueryPlugin.OKBQueryService.Filter.datasource	(revision 5910)
+++ branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Service References/OKBQueryService/HLWebOKBQueryPlugin.OKBQueryService.Filter.datasource	(revision 5910)
@@ -0,0 +1,10 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<!--
+    This file is automatically generated by Visual Studio .Net. It is 
+    used to store generic object data source configuration information.  
+    Renaming the file extension or editing the content of this file may   
+    cause the file to be unrecognizable by the program.
+-->
+<GenericObjectDataSource DisplayName="Filter" Version="1.0" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
+   <TypeInfo>HLWebOKBQueryPlugin.OKBQueryService.Filter, Service References.OKBQueryService.Reference.cs, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null</TypeInfo>
+</GenericObjectDataSource>
Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Service References/OKBQueryService/HLWebOKBQueryPlugin.OKBQueryService.Run.datasource
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Service References/OKBQueryService/HLWebOKBQueryPlugin.OKBQueryService.Run.datasource	(revision 5910)
+++ branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Service References/OKBQueryService/HLWebOKBQueryPlugin.OKBQueryService.Run.datasource	(revision 5910)
@@ -0,0 +1,10 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<!--
+    This file is automatically generated by Visual Studio .Net. It is 
+    used to store generic object data source configuration information.  
+    Renaming the file extension or editing the content of this file may   
+    cause the file to be unrecognizable by the program.
+-->
+<GenericObjectDataSource DisplayName="Run" Version="1.0" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
+   <TypeInfo>HLWebOKBQueryPlugin.OKBQueryService.Run, Service References.OKBQueryService.Reference.cs, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null</TypeInfo>
+</GenericObjectDataSource>
Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Service References/OKBQueryService/Reference.cs
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Service References/OKBQueryService/Reference.cs	(revision 5756)
+++ branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Service References/OKBQueryService/Reference.cs	(revision 5910)
@@ -9,5 +9,5 @@
 //------------------------------------------------------------------------------
 
-namespace HLWebOKBAdminPlugin.OKBQueryService {
+namespace HLWebOKBQueryPlugin.OKBQueryService {
     using System.Runtime.Serialization;
     using System;
@@ -19,24 +19,24 @@
         "fer")]
     [System.SerializableAttribute()]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.StringComparisonFilter))]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.NameStringComparisonFilter))]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.StringComparisonAvailableValuesFilter))]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.NameStringComparisonAvailableValuesFilter))]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.OrdinalComparisonFilter))]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.OrdinalComparisonIntFilter))]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.NameOrdinalComparisonIntFilter))]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.OrdinalComparisonFloatFilter))]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.NameOrdinalComparisonFloatFilter))]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.OrdinalComparisonDoubleFilter))]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.NameOrdinalComparisonDoubleFilter))]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.OrdinalComparisonDateTimeFilter))]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.OrdinalComparisonLongFilter))]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.NameOrdinalComparisonLongFilter))]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.EqualityComparisonFilter))]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.EqualityComparisonBoolFilter))]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.NameEqualityComparisonBoolFilter))]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.EqualityComparisonByteArrayFilter))]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.NameEqualityComparisonByteArrayFilter))]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.CombinedFilter))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.StringComparisonFilter))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.NameStringComparisonFilter))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.StringComparisonAvailableValuesFilter))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.NameStringComparisonAvailableValuesFilter))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.OrdinalComparisonFilter))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.OrdinalComparisonIntFilter))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.NameOrdinalComparisonIntFilter))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.OrdinalComparisonFloatFilter))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.NameOrdinalComparisonFloatFilter))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.OrdinalComparisonDoubleFilter))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.NameOrdinalComparisonDoubleFilter))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.OrdinalComparisonDateTimeFilter))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.OrdinalComparisonLongFilter))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.NameOrdinalComparisonLongFilter))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.EqualityComparisonFilter))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.EqualityComparisonBoolFilter))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.NameEqualityComparisonBoolFilter))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.EqualityComparisonByteArrayFilter))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.NameEqualityComparisonByteArrayFilter))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.CombinedFilter))]
     public partial class Filter : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
         
@@ -101,11 +101,11 @@
         "fer")]
     [System.SerializableAttribute()]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.NameStringComparisonFilter))]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.StringComparisonAvailableValuesFilter))]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.NameStringComparisonAvailableValuesFilter))]
-    public partial class StringComparisonFilter : HLWebOKBAdminPlugin.OKBQueryService.Filter {
-        
-        [System.Runtime.Serialization.OptionalFieldAttribute()]
-        private HLWebOKBAdminPlugin.OKBQueryService.StringComparison ComparisonField;
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.NameStringComparisonFilter))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.StringComparisonAvailableValuesFilter))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.NameStringComparisonAvailableValuesFilter))]
+    public partial class StringComparisonFilter : HLWebOKBQueryPlugin.OKBQueryService.Filter {
+        
+        [System.Runtime.Serialization.OptionalFieldAttribute()]
+        private HLWebOKBQueryPlugin.OKBQueryService.StringComparison ComparisonField;
         
         [System.Runtime.Serialization.OptionalFieldAttribute()]
@@ -113,5 +113,5 @@
         
         [System.Runtime.Serialization.DataMemberAttribute()]
-        public HLWebOKBAdminPlugin.OKBQueryService.StringComparison Comparison {
+        public HLWebOKBQueryPlugin.OKBQueryService.StringComparison Comparison {
             get {
                 return this.ComparisonField;
@@ -144,5 +144,5 @@
         "fer")]
     [System.SerializableAttribute()]
-    public partial class NameStringComparisonFilter : HLWebOKBAdminPlugin.OKBQueryService.StringComparisonFilter {
+    public partial class NameStringComparisonFilter : HLWebOKBQueryPlugin.OKBQueryService.StringComparisonFilter {
         
         [System.Runtime.Serialization.OptionalFieldAttribute()]
@@ -168,6 +168,6 @@
         "fer")]
     [System.SerializableAttribute()]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.NameStringComparisonAvailableValuesFilter))]
-    public partial class StringComparisonAvailableValuesFilter : HLWebOKBAdminPlugin.OKBQueryService.StringComparisonFilter {
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.NameStringComparisonAvailableValuesFilter))]
+    public partial class StringComparisonAvailableValuesFilter : HLWebOKBQueryPlugin.OKBQueryService.StringComparisonFilter {
         
         [System.Runtime.Serialization.OptionalFieldAttribute()]
@@ -193,5 +193,5 @@
         "fer")]
     [System.SerializableAttribute()]
-    public partial class NameStringComparisonAvailableValuesFilter : HLWebOKBAdminPlugin.OKBQueryService.StringComparisonAvailableValuesFilter {
+    public partial class NameStringComparisonAvailableValuesFilter : HLWebOKBQueryPlugin.OKBQueryService.StringComparisonAvailableValuesFilter {
         
         [System.Runtime.Serialization.OptionalFieldAttribute()]
@@ -217,20 +217,20 @@
         "fer")]
     [System.SerializableAttribute()]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.OrdinalComparisonIntFilter))]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.NameOrdinalComparisonIntFilter))]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.OrdinalComparisonFloatFilter))]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.NameOrdinalComparisonFloatFilter))]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.OrdinalComparisonDoubleFilter))]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.NameOrdinalComparisonDoubleFilter))]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.OrdinalComparisonDateTimeFilter))]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.OrdinalComparisonLongFilter))]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.NameOrdinalComparisonLongFilter))]
-    public partial class OrdinalComparisonFilter : HLWebOKBAdminPlugin.OKBQueryService.Filter {
-        
-        [System.Runtime.Serialization.OptionalFieldAttribute()]
-        private HLWebOKBAdminPlugin.OKBQueryService.OrdinalComparison ComparisonField;
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public HLWebOKBAdminPlugin.OKBQueryService.OrdinalComparison Comparison {
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.OrdinalComparisonIntFilter))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.NameOrdinalComparisonIntFilter))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.OrdinalComparisonFloatFilter))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.NameOrdinalComparisonFloatFilter))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.OrdinalComparisonDoubleFilter))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.NameOrdinalComparisonDoubleFilter))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.OrdinalComparisonDateTimeFilter))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.OrdinalComparisonLongFilter))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.NameOrdinalComparisonLongFilter))]
+    public partial class OrdinalComparisonFilter : HLWebOKBQueryPlugin.OKBQueryService.Filter {
+        
+        [System.Runtime.Serialization.OptionalFieldAttribute()]
+        private HLWebOKBQueryPlugin.OKBQueryService.OrdinalComparison ComparisonField;
+        
+        [System.Runtime.Serialization.DataMemberAttribute()]
+        public HLWebOKBQueryPlugin.OKBQueryService.OrdinalComparison Comparison {
             get {
                 return this.ComparisonField;
@@ -250,6 +250,6 @@
         "fer")]
     [System.SerializableAttribute()]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.NameOrdinalComparisonIntFilter))]
-    public partial class OrdinalComparisonIntFilter : HLWebOKBAdminPlugin.OKBQueryService.OrdinalComparisonFilter {
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.NameOrdinalComparisonIntFilter))]
+    public partial class OrdinalComparisonIntFilter : HLWebOKBQueryPlugin.OKBQueryService.OrdinalComparisonFilter {
         
         [System.Runtime.Serialization.OptionalFieldAttribute()]
@@ -275,5 +275,5 @@
         "fer")]
     [System.SerializableAttribute()]
-    public partial class NameOrdinalComparisonIntFilter : HLWebOKBAdminPlugin.OKBQueryService.OrdinalComparisonIntFilter {
+    public partial class NameOrdinalComparisonIntFilter : HLWebOKBQueryPlugin.OKBQueryService.OrdinalComparisonIntFilter {
         
         [System.Runtime.Serialization.OptionalFieldAttribute()]
@@ -299,6 +299,6 @@
         "fer")]
     [System.SerializableAttribute()]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.NameOrdinalComparisonFloatFilter))]
-    public partial class OrdinalComparisonFloatFilter : HLWebOKBAdminPlugin.OKBQueryService.OrdinalComparisonFilter {
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.NameOrdinalComparisonFloatFilter))]
+    public partial class OrdinalComparisonFloatFilter : HLWebOKBQueryPlugin.OKBQueryService.OrdinalComparisonFilter {
         
         [System.Runtime.Serialization.OptionalFieldAttribute()]
@@ -324,5 +324,5 @@
         "fer")]
     [System.SerializableAttribute()]
-    public partial class NameOrdinalComparisonFloatFilter : HLWebOKBAdminPlugin.OKBQueryService.OrdinalComparisonFloatFilter {
+    public partial class NameOrdinalComparisonFloatFilter : HLWebOKBQueryPlugin.OKBQueryService.OrdinalComparisonFloatFilter {
         
         [System.Runtime.Serialization.OptionalFieldAttribute()]
@@ -348,6 +348,6 @@
         "fer")]
     [System.SerializableAttribute()]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.NameOrdinalComparisonDoubleFilter))]
-    public partial class OrdinalComparisonDoubleFilter : HLWebOKBAdminPlugin.OKBQueryService.OrdinalComparisonFilter {
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.NameOrdinalComparisonDoubleFilter))]
+    public partial class OrdinalComparisonDoubleFilter : HLWebOKBQueryPlugin.OKBQueryService.OrdinalComparisonFilter {
         
         [System.Runtime.Serialization.OptionalFieldAttribute()]
@@ -373,5 +373,5 @@
         "fer")]
     [System.SerializableAttribute()]
-    public partial class NameOrdinalComparisonDoubleFilter : HLWebOKBAdminPlugin.OKBQueryService.OrdinalComparisonDoubleFilter {
+    public partial class NameOrdinalComparisonDoubleFilter : HLWebOKBQueryPlugin.OKBQueryService.OrdinalComparisonDoubleFilter {
         
         [System.Runtime.Serialization.OptionalFieldAttribute()]
@@ -397,5 +397,5 @@
         "fer")]
     [System.SerializableAttribute()]
-    public partial class OrdinalComparisonDateTimeFilter : HLWebOKBAdminPlugin.OKBQueryService.OrdinalComparisonFilter {
+    public partial class OrdinalComparisonDateTimeFilter : HLWebOKBQueryPlugin.OKBQueryService.OrdinalComparisonFilter {
         
         [System.Runtime.Serialization.OptionalFieldAttribute()]
@@ -421,6 +421,6 @@
         "fer")]
     [System.SerializableAttribute()]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.NameOrdinalComparisonLongFilter))]
-    public partial class OrdinalComparisonLongFilter : HLWebOKBAdminPlugin.OKBQueryService.OrdinalComparisonFilter {
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.NameOrdinalComparisonLongFilter))]
+    public partial class OrdinalComparisonLongFilter : HLWebOKBQueryPlugin.OKBQueryService.OrdinalComparisonFilter {
         
         [System.Runtime.Serialization.OptionalFieldAttribute()]
@@ -446,5 +446,5 @@
         "fer")]
     [System.SerializableAttribute()]
-    public partial class NameOrdinalComparisonLongFilter : HLWebOKBAdminPlugin.OKBQueryService.OrdinalComparisonLongFilter {
+    public partial class NameOrdinalComparisonLongFilter : HLWebOKBQueryPlugin.OKBQueryService.OrdinalComparisonLongFilter {
         
         [System.Runtime.Serialization.OptionalFieldAttribute()]
@@ -470,15 +470,15 @@
         "fer")]
     [System.SerializableAttribute()]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.EqualityComparisonBoolFilter))]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.NameEqualityComparisonBoolFilter))]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.EqualityComparisonByteArrayFilter))]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.NameEqualityComparisonByteArrayFilter))]
-    public partial class EqualityComparisonFilter : HLWebOKBAdminPlugin.OKBQueryService.Filter {
-        
-        [System.Runtime.Serialization.OptionalFieldAttribute()]
-        private HLWebOKBAdminPlugin.OKBQueryService.EqualityComparison ComparisonField;
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public HLWebOKBAdminPlugin.OKBQueryService.EqualityComparison Comparison {
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.EqualityComparisonBoolFilter))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.NameEqualityComparisonBoolFilter))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.EqualityComparisonByteArrayFilter))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.NameEqualityComparisonByteArrayFilter))]
+    public partial class EqualityComparisonFilter : HLWebOKBQueryPlugin.OKBQueryService.Filter {
+        
+        [System.Runtime.Serialization.OptionalFieldAttribute()]
+        private HLWebOKBQueryPlugin.OKBQueryService.EqualityComparison ComparisonField;
+        
+        [System.Runtime.Serialization.DataMemberAttribute()]
+        public HLWebOKBQueryPlugin.OKBQueryService.EqualityComparison Comparison {
             get {
                 return this.ComparisonField;
@@ -498,6 +498,6 @@
         "fer")]
     [System.SerializableAttribute()]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.NameEqualityComparisonBoolFilter))]
-    public partial class EqualityComparisonBoolFilter : HLWebOKBAdminPlugin.OKBQueryService.EqualityComparisonFilter {
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.NameEqualityComparisonBoolFilter))]
+    public partial class EqualityComparisonBoolFilter : HLWebOKBQueryPlugin.OKBQueryService.EqualityComparisonFilter {
         
         [System.Runtime.Serialization.OptionalFieldAttribute()]
@@ -523,5 +523,5 @@
         "fer")]
     [System.SerializableAttribute()]
-    public partial class NameEqualityComparisonBoolFilter : HLWebOKBAdminPlugin.OKBQueryService.EqualityComparisonBoolFilter {
+    public partial class NameEqualityComparisonBoolFilter : HLWebOKBQueryPlugin.OKBQueryService.EqualityComparisonBoolFilter {
         
         [System.Runtime.Serialization.OptionalFieldAttribute()]
@@ -547,6 +547,6 @@
         "fer")]
     [System.SerializableAttribute()]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.NameEqualityComparisonByteArrayFilter))]
-    public partial class EqualityComparisonByteArrayFilter : HLWebOKBAdminPlugin.OKBQueryService.EqualityComparisonFilter {
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.NameEqualityComparisonByteArrayFilter))]
+    public partial class EqualityComparisonByteArrayFilter : HLWebOKBQueryPlugin.OKBQueryService.EqualityComparisonFilter {
         
         [System.Runtime.Serialization.OptionalFieldAttribute()]
@@ -572,5 +572,5 @@
         "fer")]
     [System.SerializableAttribute()]
-    public partial class NameEqualityComparisonByteArrayFilter : HLWebOKBAdminPlugin.OKBQueryService.EqualityComparisonByteArrayFilter {
+    public partial class NameEqualityComparisonByteArrayFilter : HLWebOKBQueryPlugin.OKBQueryService.EqualityComparisonByteArrayFilter {
         
         [System.Runtime.Serialization.OptionalFieldAttribute()]
@@ -596,14 +596,14 @@
         "fer")]
     [System.SerializableAttribute()]
-    public partial class CombinedFilter : HLWebOKBAdminPlugin.OKBQueryService.Filter {
-        
-        [System.Runtime.Serialization.OptionalFieldAttribute()]
-        private HLWebOKBAdminPlugin.OKBQueryService.Filter[] FiltersField;
-        
-        [System.Runtime.Serialization.OptionalFieldAttribute()]
-        private HLWebOKBAdminPlugin.OKBQueryService.BooleanOperation OperationField;
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public HLWebOKBAdminPlugin.OKBQueryService.Filter[] Filters {
+    public partial class CombinedFilter : HLWebOKBQueryPlugin.OKBQueryService.Filter {
+        
+        [System.Runtime.Serialization.OptionalFieldAttribute()]
+        private HLWebOKBQueryPlugin.OKBQueryService.Filter[] FiltersField;
+        
+        [System.Runtime.Serialization.OptionalFieldAttribute()]
+        private HLWebOKBQueryPlugin.OKBQueryService.BooleanOperation OperationField;
+        
+        [System.Runtime.Serialization.DataMemberAttribute()]
+        public HLWebOKBQueryPlugin.OKBQueryService.Filter[] Filters {
             get {
                 return this.FiltersField;
@@ -618,5 +618,5 @@
         
         [System.Runtime.Serialization.DataMemberAttribute()]
-        public HLWebOKBAdminPlugin.OKBQueryService.BooleanOperation Operation {
+        public HLWebOKBQueryPlugin.OKBQueryService.BooleanOperation Operation {
             get {
                 return this.OperationField;
@@ -714,5 +714,5 @@
         
         [System.Runtime.Serialization.OptionalFieldAttribute()]
-        private HLWebOKBAdminPlugin.OKBQueryService.Algorithm AlgorithmField;
+        private HLWebOKBQueryPlugin.OKBQueryService.Algorithm AlgorithmField;
         
         [System.Runtime.Serialization.OptionalFieldAttribute()]
@@ -726,8 +726,8 @@
         
         [System.Runtime.Serialization.OptionalFieldAttribute()]
-        private HLWebOKBAdminPlugin.OKBQueryService.Value[] ParameterValuesField;
-        
-        [System.Runtime.Serialization.OptionalFieldAttribute()]
-        private HLWebOKBAdminPlugin.OKBQueryService.Problem ProblemField;
+        private HLWebOKBQueryPlugin.OKBQueryService.Value[] ParameterValuesField;
+        
+        [System.Runtime.Serialization.OptionalFieldAttribute()]
+        private HLWebOKBQueryPlugin.OKBQueryService.Problem ProblemField;
         
         [System.Runtime.Serialization.OptionalFieldAttribute()]
@@ -735,5 +735,5 @@
         
         [System.Runtime.Serialization.OptionalFieldAttribute()]
-        private HLWebOKBAdminPlugin.OKBQueryService.Value[] ResultValuesField;
+        private HLWebOKBQueryPlugin.OKBQueryService.Value[] ResultValuesField;
         
         [System.Runtime.Serialization.OptionalFieldAttribute()]
@@ -751,5 +751,5 @@
         
         [System.Runtime.Serialization.DataMemberAttribute()]
-        public HLWebOKBAdminPlugin.OKBQueryService.Algorithm Algorithm {
+        public HLWebOKBQueryPlugin.OKBQueryService.Algorithm Algorithm {
             get {
                 return this.AlgorithmField;
@@ -803,5 +803,5 @@
         
         [System.Runtime.Serialization.DataMemberAttribute()]
-        public HLWebOKBAdminPlugin.OKBQueryService.Value[] ParameterValues {
+        public HLWebOKBQueryPlugin.OKBQueryService.Value[] ParameterValues {
             get {
                 return this.ParameterValuesField;
@@ -816,5 +816,5 @@
         
         [System.Runtime.Serialization.DataMemberAttribute()]
-        public HLWebOKBAdminPlugin.OKBQueryService.Problem Problem {
+        public HLWebOKBQueryPlugin.OKBQueryService.Problem Problem {
             get {
                 return this.ProblemField;
@@ -842,5 +842,5 @@
         
         [System.Runtime.Serialization.DataMemberAttribute()]
-        public HLWebOKBAdminPlugin.OKBQueryService.Value[] ResultValues {
+        public HLWebOKBQueryPlugin.OKBQueryService.Value[] ResultValues {
             get {
                 return this.ResultValuesField;
@@ -891,5 +891,5 @@
         
         [System.Runtime.Serialization.OptionalFieldAttribute()]
-        private HLWebOKBAdminPlugin.OKBQueryService.DataType DataTypeField;
+        private HLWebOKBQueryPlugin.OKBQueryService.DataType DataTypeField;
         
         [System.Runtime.Serialization.OptionalFieldAttribute()]
@@ -926,5 +926,5 @@
         
         [System.Runtime.Serialization.DataMemberAttribute()]
-        public HLWebOKBAdminPlugin.OKBQueryService.DataType DataType {
+        public HLWebOKBQueryPlugin.OKBQueryService.DataType DataType {
             get {
                 return this.DataTypeField;
@@ -998,5 +998,5 @@
         
         [System.Runtime.Serialization.OptionalFieldAttribute()]
-        private HLWebOKBAdminPlugin.OKBQueryService.DataType DataTypeField;
+        private HLWebOKBQueryPlugin.OKBQueryService.DataType DataTypeField;
         
         [System.Runtime.Serialization.OptionalFieldAttribute()]
@@ -1023,5 +1023,5 @@
         
         [System.Runtime.Serialization.DataMemberAttribute()]
-        public HLWebOKBAdminPlugin.OKBQueryService.DataType DataType {
+        public HLWebOKBQueryPlugin.OKBQueryService.DataType DataType {
             get {
                 return this.DataTypeField;
@@ -1102,11 +1102,11 @@
         "fer")]
     [System.SerializableAttribute()]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.FloatValue))]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.BinaryValue))]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.StringValue))]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.DoubleValue))]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.BoolValue))]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.IntValue))]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBAdminPlugin.OKBQueryService.LongValue))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.FloatValue))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.BinaryValue))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.StringValue))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.DoubleValue))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.BoolValue))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.IntValue))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HLWebOKBQueryPlugin.OKBQueryService.LongValue))]
     public partial class Value : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
         
@@ -1115,5 +1115,5 @@
         
         [System.Runtime.Serialization.OptionalFieldAttribute()]
-        private HLWebOKBAdminPlugin.OKBQueryService.DataType DataTypeField;
+        private HLWebOKBQueryPlugin.OKBQueryService.DataType DataTypeField;
         
         [System.Runtime.Serialization.OptionalFieldAttribute()]
@@ -1131,5 +1131,5 @@
         
         [System.Runtime.Serialization.DataMemberAttribute()]
-        public HLWebOKBAdminPlugin.OKBQueryService.DataType DataType {
+        public HLWebOKBQueryPlugin.OKBQueryService.DataType DataType {
             get {
                 return this.DataTypeField;
@@ -1233,5 +1233,5 @@
         "fer")]
     [System.SerializableAttribute()]
-    public partial class FloatValue : HLWebOKBAdminPlugin.OKBQueryService.Value {
+    public partial class FloatValue : HLWebOKBQueryPlugin.OKBQueryService.Value {
         
         [System.Runtime.Serialization.OptionalFieldAttribute()]
@@ -1257,5 +1257,5 @@
         "fer")]
     [System.SerializableAttribute()]
-    public partial class BinaryValue : HLWebOKBAdminPlugin.OKBQueryService.Value {
+    public partial class BinaryValue : HLWebOKBQueryPlugin.OKBQueryService.Value {
         
         [System.Runtime.Serialization.OptionalFieldAttribute()]
@@ -1281,5 +1281,5 @@
         "fer")]
     [System.SerializableAttribute()]
-    public partial class StringValue : HLWebOKBAdminPlugin.OKBQueryService.Value {
+    public partial class StringValue : HLWebOKBQueryPlugin.OKBQueryService.Value {
         
         [System.Runtime.Serialization.OptionalFieldAttribute()]
@@ -1305,5 +1305,5 @@
         "fer")]
     [System.SerializableAttribute()]
-    public partial class DoubleValue : HLWebOKBAdminPlugin.OKBQueryService.Value {
+    public partial class DoubleValue : HLWebOKBQueryPlugin.OKBQueryService.Value {
         
         [System.Runtime.Serialization.OptionalFieldAttribute()]
@@ -1329,5 +1329,5 @@
         "fer")]
     [System.SerializableAttribute()]
-    public partial class BoolValue : HLWebOKBAdminPlugin.OKBQueryService.Value {
+    public partial class BoolValue : HLWebOKBQueryPlugin.OKBQueryService.Value {
         
         [System.Runtime.Serialization.OptionalFieldAttribute()]
@@ -1353,5 +1353,5 @@
         "fer")]
     [System.SerializableAttribute()]
-    public partial class IntValue : HLWebOKBAdminPlugin.OKBQueryService.Value {
+    public partial class IntValue : HLWebOKBQueryPlugin.OKBQueryService.Value {
         
         [System.Runtime.Serialization.OptionalFieldAttribute()]
@@ -1377,5 +1377,5 @@
         "fer")]
     [System.SerializableAttribute()]
-    public partial class LongValue : HLWebOKBAdminPlugin.OKBQueryService.Value {
+    public partial class LongValue : HLWebOKBQueryPlugin.OKBQueryService.Value {
         
         [System.Runtime.Serialization.OptionalFieldAttribute()]
@@ -1401,23 +1401,23 @@
         
         [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IQueryService/GetFilters", ReplyAction="http://tempuri.org/IQueryService/GetFiltersResponse")]
-        HLWebOKBAdminPlugin.OKBQueryService.Filter[] GetFilters();
+        HLWebOKBQueryPlugin.OKBQueryService.Filter[] GetFilters();
         
         [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IQueryService/GetNumberOfRuns", ReplyAction="http://tempuri.org/IQueryService/GetNumberOfRunsResponse")]
-        long GetNumberOfRuns(HLWebOKBAdminPlugin.OKBQueryService.Filter filter);
+        long GetNumberOfRuns(HLWebOKBQueryPlugin.OKBQueryService.Filter filter);
         
         [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IQueryService/GetRunIds", ReplyAction="http://tempuri.org/IQueryService/GetRunIdsResponse")]
-        long[] GetRunIds(HLWebOKBAdminPlugin.OKBQueryService.Filter filter);
+        long[] GetRunIds(HLWebOKBQueryPlugin.OKBQueryService.Filter filter);
         
         [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IQueryService/GetRuns", ReplyAction="http://tempuri.org/IQueryService/GetRunsResponse")]
-        HLWebOKBAdminPlugin.OKBQueryService.Run[] GetRuns(long[] ids, bool includeBinaryValues);
+        HLWebOKBQueryPlugin.OKBQueryService.Run[] GetRuns(long[] ids, bool includeBinaryValues);
     }
     
     [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
-    public interface IQueryServiceChannel : HLWebOKBAdminPlugin.OKBQueryService.IQueryService, System.ServiceModel.IClientChannel {
+    public interface IQueryServiceChannel : HLWebOKBQueryPlugin.OKBQueryService.IQueryService, System.ServiceModel.IClientChannel {
     }
     
     [System.Diagnostics.DebuggerStepThroughAttribute()]
     [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
-    public partial class QueryServiceClient : System.ServiceModel.ClientBase<HLWebOKBAdminPlugin.OKBQueryService.IQueryService>, HLWebOKBAdminPlugin.OKBQueryService.IQueryService {
+    public partial class QueryServiceClient : System.ServiceModel.ClientBase<HLWebOKBQueryPlugin.OKBQueryService.IQueryService>, HLWebOKBQueryPlugin.OKBQueryService.IQueryService {
         
         public QueryServiceClient() {
@@ -1440,17 +1440,17 @@
         }
         
-        public HLWebOKBAdminPlugin.OKBQueryService.Filter[] GetFilters() {
+        public HLWebOKBQueryPlugin.OKBQueryService.Filter[] GetFilters() {
             return base.Channel.GetFilters();
         }
         
-        public long GetNumberOfRuns(HLWebOKBAdminPlugin.OKBQueryService.Filter filter) {
+        public long GetNumberOfRuns(HLWebOKBQueryPlugin.OKBQueryService.Filter filter) {
             return base.Channel.GetNumberOfRuns(filter);
         }
         
-        public long[] GetRunIds(HLWebOKBAdminPlugin.OKBQueryService.Filter filter) {
+        public long[] GetRunIds(HLWebOKBQueryPlugin.OKBQueryService.Filter filter) {
             return base.Channel.GetRunIds(filter);
         }
         
-        public HLWebOKBAdminPlugin.OKBQueryService.Run[] GetRuns(long[] ids, bool includeBinaryValues) {
+        public HLWebOKBQueryPlugin.OKBQueryService.Run[] GetRuns(long[] ids, bool includeBinaryValues) {
             return base.Channel.GetRuns(ids, includeBinaryValues);
         }
Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/ViewModels/AlgorithmClassViewModel.cs
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/ViewModels/AlgorithmClassViewModel.cs	(revision 5756)
+++ 	(revision )
@@ -1,15 +1,0 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Web;
-using HLWebOKBAdminPlugin.OKBAdministrationService;
-
-namespace HLWebOKBAdminPlugin.ViewModels {
-    public class AlgorithmClassViewModel {
-        //if required, add more properties to the managed object
-        //in this case the view model contains only a list of AlgorithmClass
-
-        public AlgorithmClass AlgorithmClass { get; set; }
-
-    }//AlgorithmClassViewModel
-}
Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Home/About.aspx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Home/About.aspx	(revision 5910)
+++ branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Home/About.aspx	(revision 5910)
@@ -0,0 +1,12 @@
+﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>
+
+<asp:Content ID="aboutTitle" ContentPlaceHolderID="TitleContent" runat="server">
+    About Us
+</asp:Content>
+
+<asp:Content ID="aboutContent" ContentPlaceHolderID="MainContent" runat="server">
+    <h2>About</h2>
+    <p>
+        Put content here.
+    </p>
+</asp:Content>
Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Home/Index.aspx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Home/Index.aspx	(revision 5910)
+++ branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Home/Index.aspx	(revision 5910)
@@ -0,0 +1,12 @@
+﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>
+
+<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
+    Home Page
+</asp:Content>
+
+<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
+    <h2><%: ViewData["Message"] %></h2>
+    <p>
+        To learn more about ASP.NET MVC visit <a href="http://asp.net/mvc" title="ASP.NET MVC Website">http://asp.net/mvc</a>.
+    </p>
+</asp:Content>
Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Query/Filter.aspx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Query/Filter.aspx	(revision 5910)
+++ branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Query/Filter.aspx	(revision 5910)
@@ -0,0 +1,15 @@
+﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>
+
+<asp:Content ID="Content3" runat="server" ContentPlaceHolderID="SubMenuContent">
+   <% Html.RenderAction("Menu"); %>
+</asp:Content>
+
+<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
+	Filter
+</asp:Content>
+
+<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
+
+    <h2>Filter</h2>
+
+</asp:Content>
Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Query/Index.aspx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Query/Index.aspx	(revision 5910)
+++ branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Query/Index.aspx	(revision 5910)
@@ -0,0 +1,20 @@
+﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>
+
+<asp:Content ID="Content3" runat="server" ContentPlaceHolderID="SubMenuContent">
+   <% Html.RenderAction("Menu"); %>
+</asp:Content>
+
+<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
+	Index
+</asp:Content>
+    
+
+<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
+
+       <h2>
+        Hello World Query!</h2>
+    <p>
+        <i>Now with more Hello World Action!</i>
+    </p>
+
+</asp:Content>
Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Query/Menu.ascx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Query/Menu.ascx	(revision 5910)
+++ branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Query/Menu.ascx	(revision 5910)
@@ -0,0 +1,11 @@
+﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl" %>
+
+<ul>
+<li <% if(Session["SelectedSubMenu"] == "Filter") {%> class="selected" <%}%>>
+    <%: Html.ActionLink("Filter", "Filter", "Query") %>
+</li>
+<li <% if(Session["SelectedSubMenu"] == "Results") {%> class="selected" <%}%>>
+    <%: Html.ActionLink("Results", "Results", "Query") %>
+</li>
+
+</ul>
Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Query/Results.aspx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Query/Results.aspx	(revision 5910)
+++ branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Query/Results.aspx	(revision 5910)
@@ -0,0 +1,15 @@
+﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>
+
+<asp:Content ID="Content3" runat="server" ContentPlaceHolderID="SubMenuContent">
+   <% Html.RenderAction("Menu"); %>
+</asp:Content>
+
+<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
+	Results
+</asp:Content>
+
+<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
+
+    <h2>Results</h2>
+
+</asp:Content>
Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Web.config
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Web.config	(revision 5756)
+++ branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Web.config	(revision 5910)
@@ -127,20 +127,4 @@
           </security>
         </binding>
-        <binding name="WSHttpBinding_IAuthenticationService1" closeTimeout="00:01:00"
-          openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00"
-          bypassProxyOnLocal="false" transactionFlow="false" hostNameComparisonMode="StrongWildcard"
-          maxBufferPoolSize="524288" maxReceivedMessageSize="65536" messageEncoding="Text"
-          textEncoding="utf-8" useDefaultWebProxy="true" allowCookies="false">
-          <readerQuotas maxDepth="32" maxStringContentLength="8192" maxArrayLength="16384"
-            maxBytesPerRead="4096" maxNameTableCharCount="16384" />
-          <reliableSession ordered="true" inactivityTimeout="00:10:00"
-            enabled="false" />
-          <security mode="Message">
-            <transport clientCredentialType="Windows" proxyCredentialType="None"
-              realm="" />
-            <message clientCredentialType="UserName" negotiateServiceCredential="true"
-              algorithmSuite="Default" />
-          </security>
-        </binding>
         <binding name="WSHttpBinding_IQueryService" closeTimeout="00:01:00"
           openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00"
@@ -183,11 +167,4 @@
         </identity>
       </endpoint>
-      <endpoint address="http://services.heuristiclab.com/OKB.SPR-3.3/AuthenticationService.svc"
-        binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IAuthenticationService1"
-        contract="OKBAuthenticationService.IAuthenticationService" name="WSHttpBinding_IAuthenticationService1">
-        <identity>
-          <certificate encodedValue="AwAAAAEAAAAUAAAAwK1+2oAmcy/mI2P2QjyiJRh0y60gAAAAAQAAACoCAAAwggImMIIBj6ADAgECAhAIkseQ2EEhgU720qJA61gqMA0GCSqGSIb3DQEBBAUAMCQxIjAgBgNVBAMTGXNlcnZpY2VzLmhldXJpc3RpY2xhYi5jb20wHhcNMTAwNTExMTExNDAyWhcNMzkxMjMxMjM1OTU5WjAkMSIwIAYDVQQDExlzZXJ2aWNlcy5oZXVyaXN0aWNsYWIuY29tMIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCq26Bwmwc7k+4W30qLQ2j+FInEL5BuH6opDY6CSlrtt3xQS/anrhvpbf3QghLDVINzcHkzbPmm/SguG4F85QLB6xO+tJaOvRo0iEK5g3c307vMIru7FJwk/OhplEQ5J1hbDgL3zOJlrWlgtqRVxCtVdF3XroI9BctOt1NkeKv9ewIDAQABo1kwVzBVBgNVHQEETjBMgBCjbgdYd4j5JgUuJ1Wo/GxroSYwJDEiMCAGA1UEAxMZc2VydmljZXMuaGV1cmlzdGljbGFiLmNvbYIQCJLHkNhBIYFO9tKiQOtYKjANBgkqhkiG9w0BAQQFAAOBgQAb/2xk2uQad68shSPl/uixWgvFI8WkxOTBopOLaLtDxwCeZ3mWVHdV9VnixHtThubnEBXAhYOCQSIXWtQuXFWO+gH3YyjTRJY5kTmXyuvBRTn3/so5SrQ7Rdlm9hf6E5YVX3tCjAy7ybUyaDUkQfmH5vmvgvpMzRfsJ1qhnUpJiQ==" />
-        </identity>
-      </endpoint>
       <endpoint address="http://services.heuristiclab.com/OKB.SPR-3.3/QueryService.svc"
         binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IQueryService"
